<%--<?xml version="1.0" encoding="ISO-8859-1" ?>--%>
<%--<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>--%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://displaytag.sf.net" prefix="dt" %>


<c:import url="template_header.jsp" >
    <c:param name="title">About</c:param>
</c:import>

<div class="row">
    <div class="col-md-9">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel panel-heading">
                        <h1 class="panel-title">About</h1>
                    </div>
                    <div class="panel-body">
                        <p class="justify" >
                            The <a href="${pageContext.request.contextPath}/index.jsp">JABAWS</a> project is currently developed in the
                            <a href="http://www.compbio.dundee.ac.uk/">Barton Group</a>
                            at the <a href="http://www.lifesci.dundee.ac.uk/">School of Life Sciences</a>,
                            <a href="http://www.dundee.ac.uk">University of Dundee</a>. Development by:

                            Peter Troshin, Alexander Sherstnev, Jim Procter, Alexey Drozdetskiy, Daniel Barton,
                            Suzanne Duce, F&aacute;bio Madeira and Geoff Barton.
                        </p>
                    </div>
                </div>
            </div>
            <div class="col-md-12" id="mailing">
                <div class="panel panel-default">
                    <div class="panel panel-heading">
                        <h1 class="panel-title">Mailing List</h1>
                    </div>
                    <div class="panel-body">
                        <p class="justify">
                            Stay in touch with the latest developments and feel free to post your questions/issues to the
                            <a href="http://www.jalview.org/mailman/listinfo/jabaws-discuss">jabaws-discuss</a>
                            mailing list.
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-3">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">Contact Details</h1>
            </div>
            <div class="panel-body">
                <p>
                    <a href="http://www.compbio.dundee.ac.uk/">The Barton Group</a><br/>
                    Division of Computational Biology<br/>
                    School of Life Sciences<br/>
                    University of Dundee<br/>
                    Dow Street<br/>
                    Dundee<br/>
                    DD1 5EH<br/>
                    Scotland, UK<br/><br/>
                    <a href="http://www.compbio.dundee.ac.uk/contact.html">More info and directions</a>
                </p>
            </div>
        </div>
    </div>
</div>
<div class="row" id="citing">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">Reference</h1>
            </div>
            <div class="panel-body">
                <p class="justify">
                    Peter V. Troshin, James B. Procter and Geoffrey J. Barton -
                    Java Bioinformatics Analysis Web Services for Multiple Sequence Alignment - JABAWS:MS
                    <em>Bioinformatics</em> 2011. 27 (14): 2001-2002. doi: <a href="http://bioinformatics.oxfordjournals.org/content/early/2011/05/18/bioinformatics.btr304.abstract?keytype=ref&amp;ijkey=gd0DwuYBzFRhe4T">
                    10.1093/bioinformatics/btr304</a>.
                </p>
            </div>
        </div>
    </div>
</div>
<div class="row" id="funding">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">Funding</h1>
            </div>
            <div class="panel-body">
                <p class="justify">
                    The current funding for JABAWS development is provided by the BBSRC Bioinformatics and Biological Resources Grant:
                    "The Dundee Resource for Protein Structure Prediction and Sequence Analysis" 2013 to 2018 (BB/J019364/1) to Prof.
                    Geoff Barton. Further support comes from Wellcome Trust Strategic Grant: 100476.
                </p>

                <p class="justify">
                    Initial development was funded from a mixture of sources including: BBSRC grants (BBS/B/14434, BB/G022682/1),
                    Wellcome Trust Strategic Grant (No. 083481), European Commission Framework of Excellence ENFIN
                    (LSHGCT-2005-518254) and the Scottish Universities Life Sciences Alliance (SULSA).
                </p>
                <br/>
                <div class="row">
                    <div class="col-md-3">
                        <span class="align-middle"><a href="http://www.bbsrc.ac.uk/">
                            <img src="static/img/bbsrc_flat.jpg" style="width:100%;height:100%" alt="UK BBSRC"
                                 title="UK BBSRC"/></a>
                        </span>
                    </div>
                    <div class="col-md-3">
                        <span class="align-middle"><a href="http://www.wellcome.ac.uk">
                            <img src="static/img/wellcome_flat.jpg" style="width:100%;height:100%" alt="Wellcome Trust"
                                 title="Wellcome Trust"/></a>
                        </span>
                    </div>
                    <div class="col-md-3">
                        <span class="align-middle"><a href="http://www.enfin.org">
                            <img src="static/img/enfin_flat.jpg" style="width:100%;height:100%" alt="ENFIN"
                                 title="ENFIN"/></a>
                        </span>
                    </div>
                    <div class="col-md-3">
                        <span class="align-middle"><a href="http://www.sulsa.ac.uk">
                            <img src="static/img/sulsa_flat.jpg" style="width:100%;height:100%" alt="SULSA"
                                 title="SULSA"/></a>
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<jsp:include page="template_footer.jsp" />