<%--<?xml version="1.0" encoding="ISO-8859-1" ?>--%>
<%--<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>--%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://displaytag.sf.net" prefix="dt" %>


<c:import url="template_header.jsp" >
    <c:param name="title">Download</c:param>
</c:import>

<div class="row">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">JABAWS Server Virtual Appliance (VA)</h1>
            </div>
            <div class="panel-body">
                <p class="justify">
                    The JABAWS virtual appliance (VA) is a way of running a fully functional JABAWS instance
                    on your own computer. In order to use the VA, you have to install software from VMWare to run
                    the virtual machine. We recommend <a href="http://www.vmware.com/products/player">VMWare Player</a>
                    which is available for free for Windows and Linux users. Once the VA is running, you can
                    configure <a href="http://www.jalview.org/download.html">Jalview</a> to use your local
                    JABAWS VA with
                    <a href="http://www.compbio.dundee.ac.uk/jabaws/man_servervm.html#jalviewWithJaba">these instructions</a>.
                </p>
                <ul>
                    <li>JABAWS Virtual Appliance: <a href='/download/get?id=JABAWS210.pack.tar.gz'>download</a> (593Mb)</li>
                    <li>Additional Virtual disk with the <a href="http://www.uniprot.org/help/uniref">UniRef</a> database:
                        <a href='/download/get?id=JABAWS.2.1.0.uniref.real.vmdk.gz'>download</a> (2.3Gb)</li>
                </ul>
                <p class="justify">
                    Please check the JABAWS <a href="http://www.compbio.dundee.ac.uk/jabaws/man_servervm.html#whenvm">manual</a>
                    for further instructions.
                </p>

                <p class="justify">
                    Since the current version of Jpred requires a local copy of filtered (UniRef90) UniRef data
                    and the database is large (~5.6Gb), the JABAWS VA installation download is split into two
                    parts: the JABAWS server itself and an optional additional download that provides a virtual
                    disk containing the UniRef database for Jpred (<span style="color:#993333;font-style:bold;">Jpred
                    has been trained, optimized and tested with this UniRef database release. So, we strongly recommend
                    users not to use other UniRef installations!</span>). By default the VA has an additional
                    empty virtual disk inside of the VA and JpredWS is not available. To enable JpredWS, download
                    and unpack both
                    <a href='/download/get?id=JABAWS210.pack.tar.gz'>the VA</a> and
                    <a href='/download/get?id=JABAWS.2.1.0.uniref.real.vmdk.gz'>the disk file</a>,
                    and replace the empty disk in the VA download (called JABAWS.2.1.0.uniref.vmdk) with the disk from the
                    second download (JABAWS.2.1.0.uniref.real.vmdk). Here is a list of commands for Linux users:
                    <pre><code class="bash">tar xzvf JABAWS210.pack.tar.gz
gunzip JABAWS.2.1.0.uniref.real.vmdk.gz
mv JABAWS.2.1.0.uniref.real.vmdk JABAWS210.pack/JABAWS.2.1.0.uniref.vmdk</code></pre>
                    After that, launch the virtual machine and the JpredWS service should be operational.
                <p>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">JABAWS Server Web Application aRchive (WAR)</h1>
            </div>
            <div class="panel-body">
                <p class="justify">
                    The JABAWS Server Web Application aRchive (WAR) version is a better way to run JABAWS if you want to deploy
                    JABAWS for many users, e.g. your laboratory, or if you are an experienced user and want to have more control
                    on JABAWS. You can also use this version for Mac and Linux computers if you do not want to use virtualization.
                    Finally, you can use this version on a computer cluster. <br/>
                    The server is provided as a self-contained <a href="http://en.wikipedia.org/wiki/WAR_(Sun_file_format)">Web
                    Application aRchive (WAR) </a> containing all necessary binaries. The WAR file can be deployed on any web
                    application server supporting the Java servlet specification (version 2.4 or above), i.e.
                    <a href="http://tomcat.apache.org/download-70.cgi">Tomcat 7.0</a>.
                </p>
                <ul>
                    <li>JABAWS WAR (includes source and precompiled Linux x86 and Windows binaries):
                        <a href="/download/get?id=jabaws.war">download</a> (88M) </li>
                    <li>Tar/gzipped UniRef90 database (for JpredWS):
                        <a href="/download/get?id=UNIREFdb.tar.gz">UNIREFdb.tar.gz</a> (2.3Gb)</li>
                </ul>
                <p class="justify">Installation notes:</p>
                <ol>
                    <li>After a default installation on Linux, all JABAWS web services should run OK, except JpredWS.
                        This service requires installation of the UNIREF90 database on your computer.
                        <ul>
                            <li>Download the database (<a href="/download/get?id=UNIREFdb.tar.gz">UNIREFdb.tar.gz</a>)</li>
                            <li>Unpack the database and install it either in the default JABA data location (/data),
                                or in some other location (configured by the 'jpred.data.uniref.path' path entry in conf/Executable.properties).</li>
                        </ul>
                    </li>
                    <li>If you deploy JABAWS WAR on Windows, not all web services will be functional, and you will need
                        a properly configured compilation environment to build the JABA binaries from source. We recommend Windows
                        users download and use the JABAWS VA instead.</li>
                </ol>

            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">JABAWS Command Line Client</h1>
            </div>
            <div class="panel-body">
                <p class="justify">
                    The command line client is an executable Java program for scripting
                    against JABA web services. It is also useful as an example of how to
                    access JABAWS services if you intend to use JABAWS in your own
                    program, with functions demonstrating how to discover command line
                    parameters and presets supported by a service, and how to run,
                    monitor and retrieve the results of a job.
                    <em>
                        Note: The client is used in <a href="http://www.jalview.org/">Jalview</a>
                        to autogenerate a graphical user interface for JABA services.
                    </em>
                </p>
                <ul>
                    <li>Command line client
                        <ul>
                            <li>jar file with binaries (with log4j):
                                <a href='/download/get?id=min-jabaws-client-2.1.0.jar'>download</a> (538 K)</li>
                            <li>jar file with binaries (without log4j):
                                <a href='/download/get?id=min-jabaws-client-nolog-2.1.0.jar'>download</a> (151 K)</li>
                            <li>source:
                                <a href='/download/get?id=jabaws-client-src-2.1.0.jar'>download</a> (152 K)</li>
                        </ul>
                    </li>
                </ul>
                <p class="justify">
                    The command line client displays help when executed without arguments,
                    more details is available from the jabaws client's manual pages.
                </p>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">Source Code</h1>
            </div>
            <div class="panel-body">
                <p class="justify">
                    We welcome developers who wish to develop and implement new web services for JABAWS.
                    JABAWS is released under the Apache License, and its source can be downloaded below.
                    The latest versions of JABAWS' source can also be obtained from its Git repository
                    <br/>
                    The repository and code archive contains the complete <a href="http://www.eclipse.org">Eclipse</a> JABAWS project,
                    but Eclipse is not necessary to build it. Please examine the Ant build file (build.xml) to build
                    and test JABAWS from sources.
                </p>
                <ul>
                    <li>A complete Eclipse project package:
                        <a href='/download/get?id=jabaws-project-2.1.0.tar.gz'>download</a> (92M)</li>
                    <li>JABAWS source only package:
                        <a href='/download/get?id=jabaws-src-2.1.0.jar'>download</a> (372K)</li>
                    <li>Binaries of programs witin JABAWS only:
                        <a href='/download/get?id=binaries.zip'>download</a> (60M)</li>
                    <li>JABAWS Git repository
                        <a href='http://source.jalview.org/gitweb/?p=jabaws.git;a=summary'>http://source.jalview.org/git/jabaws.git</a></li>
                </ul>
                <p class="justify">
                    To request a JABAWS developer account please send us an email to the
                    <a href="http://www.jalview.org/mailman/listinfo/jabaws-discuss">jabaws-discuss</a> mailing list.
                </p>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">Current Version</h1>
            </div>
            <div class="panel-body">
                <p class="justify">
                    The current JABAWS version is 2.2.0 released on XX February 2017.
                </p>
            </div>
        </div>
    </div>
</div>

<jsp:include page="template_footer.jsp" />