<%--<?xml version="1.0" encoding="ISO-8859-1" ?>--%>
<%--<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>--%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://displaytag.sf.net" prefix="dt" %>


<c:import url="template_header.jsp" >
    <c:param name="title">Getting Started</c:param>
</c:import>

<div class="row">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">Choose a JABAWS distribution</h1>
            </div>
            <div class="panel-body">
                <p class="justify">
                    Choose the JABAWS distribution that better suits your needs and read the quickstart guides below.
                    Detailed information is available in the <a href="${pageContext.request.contextPath}/man_docs.jsp">JABAWS docs pages</a>.
                </p>
                <br>
                <div class="row">
                    <!--<div class="col-md-1"></div>-->
                    <div class="col-md-10">
                        <table class="table">
                            <tr>
                                <th>Quick Guide</th>
                                <th>I want to use JABAWS for...</th>
                            </tr>
                            <tr>
                                <td><a href="#va">JABAWS Virtual Appliance (VA)</a></td>
                                <td>Running Multiple Sequence Alignments through Jalview on my
                                    <strong>own</strong> computer</td>
                            </tr>
                            <tr>
                                <td><a href="#war">JABAWS Web Application aRchive (WAR)</a></td>
                                <td>Running JABAWS for my group, lab, or organization on the
                                    <strong>local</strong> infrastructure </td>
                            </tr>
                            <tr>
                                <td><a href="#client">JABAWS Java Client</a></td>
                                <td>Accessing a JABAWS server from my own code</td>
                            </tr>
                        </table>
                    </div>
                    <div class="col-md-2"></div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row" id="va">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">JABAWS Virtual Appliance (VA)</h1>
            </div>
            <div class="panel-body">
                <!--<h4>Running JABAWS on your local machine</h4>-->

                <p class="justify">
                    The Virtual Appliance (VA) package allows you to run a JABAWS server installed on TurnKey Linux as a
                    virtual machine on your laptop or desktop computer. A <a href="man_servervm.jsp#whenvm">complete guide
                    to the JABAWS VA</a> is given in the manual, but for the impatient, a brief instructions are given below:
                </p>

                <p class="justify">
                    If you work on Windows, Linux or Unix:
                </p>
                <ol>
                    <li>Download <a href="http://gjb-www-1.cluster.lifesci.dundee.ac.uk:8086/download">JABAWS Virtual Appliance</a></li>
                    <li>Download and install <a href="http://www.vmware.com/products/player">VMWare Player</a>.</li>
                    <li>Unpack the JABAWS virtual appliance and open it with VMware Player.</li>
                </ol>

                <p class="justify">
                    If you work on Mac do the same using
                    <a href="http://www.vmware.com/products/fusion/overview.html">
                        VMware Fusion</a>, or for free alternative use a WAR JABAWS package.
                </p>

                <p><strong>Testing</strong></p>
                <p class="justify">
                    To check that your JABAWS virtual appliance is working visit the Services Status
                    page available from the main JABAWS menu. For this enter the JABAWS URL for your
                    new server into a web browser. This is shown once the appliance is booted up.
                </p>
                <p class="justify">
                    Alternatively you can use Jalview to complete the testing.
                </p>
                <ol>
                    <li>Launch the desktop version of <a href="http://www.jalview.org/download.html">Jalview</a></li>
                    <li>Open the Jalview desktop's preferences panel (from the Tools-&gt;Preferences menu option), select the
                        <em2>Webservices</em2> panel and press the
                        <em2>New Service URL</em2> button.</li>
                    <li>Enter the JABAWS URL for your new server. This is shown once the appliance is booted up.</li>
                </ol>
            </div>
        </div>
    </div>
</div>
<div class="row" id="war">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">JABAWS Web Application aRchive (WAR)</h1>
            </div>
            <div class="panel-body">

                <!--<h4>Installing a JABAWS Server Web Application Archive (WAR) package</h4>-->
                <p class="justify">
                    This is for anyone who wants to run JABAWS for their group, lab or organization, or wants to enable
                    their local JABA server to use the cluster or perform very large tasks.
                </p>
                <ol>
                    <li>Download the <a href="http://gjb-www-1.cluster.lifesci.dundee.ac.uk:8086/download">JABAWS WAR file</a></li>
                    <li>Download and install <a href="http://tomcat.apache.org/download-70.cgi">Apache-Tomcat</a>.<br/>
                        <em2>You will need at least Tomcat version 5.5 of
                            (we would recommend version 7.0) and at least Java 1.6 (i.e. JAVA 6).</em2>
                    </li>
                    <li>Drop the JABAWS WAR file into <em2>tomcat/webapps</em2> directory.</li>
                    <li>(Re)start the Tomcat.</li>
                    <li>Once the tomcat has started, it should automatically unpack the WAR
                        into the webapps directory (if it doesn't, then you'll need to do this
                        manually, it's just a zip archive in the end).</li>
                    <li> If you are on Mac or other unix-like architecture with GNU compilers
                        available or you'd like to get a maximum performance <br/>
                        <em2>cd</em2> to
                        <em2>webapps/jabaws/binaries/src/</em2>
                        and execute <em2>./compilebin.sh</em2>
                        script to compile all binaries JABAWS depends on.
                    </li>
                </ol>

                <p><strong>Testing</strong></p>
                <p class="justify">
                    You can test that your JABAWS server is working in several ways.
                </p>
                <ol>
                    <li>Visit Services Status page available from the JABAWS main page using your web browser.</li>

                    <li>If you are working on the command line, then use the command line client shipped with the
                        JABAWS war to test it by running:
                        <pre><code class="bash">java -jar &lt;Path to tomcat WebApp directory&gt;/jabaws/WEB-INF/lib/jaba-client.jar -h=http://localhost:8080/jabaws</code></pre>
                        In this example we assumed that your JABAWS server URL is
                        <em2>http://localhost:8080</em2> and JABAWS context path is
                        <em2>jabaws</em2>
                    </li>
                    <li>Alternately, you can point Jalview at your new server:
                        <ul>
                            <li>Launch the desktop version of <a href="http://www.jalview.org/download.html">Jalview</a></li>
                            <li>Open the Jalview desktop's preferences panel (from the Tools-&gt;Preferences menu option),
                                elect the <em2>Webservices</em2> panel and press
                                the <em2>New Service URL</em2> button.</li>
                            <li>Enter the URL for the tomcat server, including the context path for the
                                JABAWS web app (e.g. http://localhost:8080/jabaws).</li>
                        </ul>
                    </li>
                </ol>
            </div>
        </div>
    </div>
</div>
<div class="row" id="client">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">JABAWS Command Line Java Client</h1>
            </div>
            <div class="panel-body">
                <p class="justify">
                    This is a single java archive which contains the JABAWS command line client. It requires Java
                    version 1.6 to run, and allows anyone who wants to connect to and to use JABAWS from their own
                    software.
                </p>
                <ol>
                    <li>Download <a href="http://gjb-www-1.cluster.lifesci.dundee.ac.uk:8086/download">the Client Jar file</a></li>
                </ol>
                <p class="justify">
                    You can read more about how to use command line client <a href="man_client.jsp">in
                    the CMD Client</a> section of the manual. You can also get command line help by changing to
                    the directory where you downloaded the client jar, and typing:
                </p>
                <pre><code class="bash">java -jar jaba-client.jar</code></pre>
                <p class="justify">
                    A JABA Web Services are WS-I compliant. This means that you can access them from any
                    language that has libraries or functions for consuming interoperable SOAP web services.
                    <!-- TODO Provide list of libraries for different languages -->
                </p>
            </div>
        </div>
    </div>
</div>

<jsp:include page="template_footer.jsp" />