<%--<?xml version="1.0" encoding="ISO-8859-1" ?>--%>
<%--<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>--%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://displaytag.sf.net" prefix="dt" %>


<c:import url="template_header.jsp" >
    <c:param name="title">Documentation</c:param>
</c:import>

<ol class="breadcrumb">
    <li><a href="${pageContext.request.contextPath}/index.jsp">Home</a></li>
    <li class="active"><a href="man_docs.jsp">Documentation</a></li>
</ol>
<div class="row">
    <div class="col-md-12">
        <div class="panel panel-default">
            <div class="panel panel-heading">
                <h1 class="panel-title">JABAWS Documentation</h1>
            </div>
            <div class="panel-body">
                <ul>
                    <li>
                        <a href="man_about.jsp">What is JABAWS?</a>
                        <ul>
                            <li><a href="man_about.jsp#wisjaba">What is JABAWS?</a></li>
                            <li><a href="man_about.jsp#wjaba">JABAWS Benefits</a></li>
                            <li><a href="man_about.jsp#alprog">JABA Web Services Programs</a></li>
                            <li><a href="man_about.jsp#jaba2.2">What is new in JABAWS 2.2?</a> </li>
                            <li><a href="man_about.jsp#jabaclient">What is JABAWS Client</a>?</li>
                            <li><a href="man_about.jsp#jalviewsup">JABAWS versions compatibility and Jalview support </a></li>
                            <li><a href="man_about.jsp#cmdclient">Programmatic access to JABAWS</a></li>
                        </ul>
                    </li>
                    <br/>
                    <li>
                        <a href="man_servervm.jsp">Virtual Appliance</a>
                        <ul>
                            <li><a href="man_servervm.jsp#whatisvm">What is JABAWS Virtual Appliance?</a></li>
                            <li><a href="man_servervm.jsp#whenvm">When to use the Virtual Appliance</a> </li>
                            <li><a href="man_servervm.jsp#howtoinstallvm">How to install VMware Player </a></li>
                            <li><a href="man_servervm.jsp#vmplayer">VMware Player Appliance configuration </a></li>
                            <li><a href="man_servervm.jsp#jabawsAppliance">JABAWS Appliance details </a></li>
                            <li><a href="man_servervm.jsp#jalviewWithJaba">Configuring Jalview to work with your JABAWS VM</a></li>
                            <li><a href="man_servervm.jsp#vmiaccess">VM Network Settings </a></li>
                        </ul>
                    </li>
                    <br/>
                    <li>
                        <a href="man_serverwar.jsp">Web Application Archive</a>
                        <ul>
                            <li><a href="man_serverwar.jsp#sysreq">System Requirements</a></li>
                            <li><a href="man_serverwar.jsp#instwar">Installing the JABAWS WAR file</a></li>
                            <li><a href="man_serverwar.jsp#prepexec">Preparing executables for use with JABAWS</a></li>
                            <li><a href="man_serverwar.jsp#useprebin">Using the pre-compiled i386 binaries on Linux</a></li>
                            <li><a href="man_serverwar.jsp#recompbinaries">Recompiling the bundled programs for your system</a></li>
                            <li><a href="man_serverwar.jsp#haveexec">Reuse the binaries that are already in your system</a></li>
                            <li><a href="man_serverwar.jsp#obtainexec">Obtaining command line binaries </a><a href="#obtainexec">for your operating system</a></li>
                            <li><a href="man_serverwar.jsp#usingWsTester">Testing JABAWS Server</a></li>
                            <li><a href="man_serverwar.jsp#diffcontexts">Running many JABAWS instances on the same server</a> </li>
                            <li><a href="man_serverwar.jsp#nocluster">JABAWS on a single server</a></li>
                            <li><a href="man_serverwar.jsp#clustsubsys">JABAWS supported cluster batch management systems </a></li>
                            <li><a href="man_serverwar.jsp#tomstopundeploy">Manually deploying JABAWS application on Apache-Tomcat </a></li>
                            <li><a href="man_serverwar.jsp#tomdeploy">Apache-Tomcat fails to deploy the jabaws.war file</a></li>
                        </ul>
                    </li>
                    <br/>
                    <li>
                        <a href="man_client.jsp">Command Line Client</a>
                    </li>
                    <br/>
                    <li>
                        <a href="man_configuration.jsp">Configure JABAWS</a>
                        <ul>
                            <li><a href="man_configuration.jsp#defjabaconf">JABAWS Configuration </a></li>
                            <li><a href="man_configuration.jsp#locEngConf">Local Engine Configuration</a></li>
                            <li><a href="man_configuration.jsp#clustEngConf">Cluster Engine Configuration</a></li>
                            <li><a href="man_configuration.jsp#exec">Executable Configuration</a></li>
                            <li><a href="man_configuration.jsp#setexecenv">Defining Environment Variables for Executables</a></li>
                            <li><a href="man_configuration.jsp#mafftconf">Configure JABAWS to Work with Mafft</a></li>
                            <li><a href="man_configuration.jsp#settinglimit">Limiting the size of the job accepted by JABAWS Server </a></li>
                            <li><a href="man_configuration.jsp#diffbin">Using a different version of the alignment program with JABAWS</a></li>
                            <li><a href="man_configuration.jsp#mixuse">Load balancing </a></li>
                            <li><a href="man_configuration.jsp#testingJaba">Testing JABA Web Services</a></li>
                            <li><a href="man_configuration.jsp#logs">JABAWS requests logging </a></li>
                            <li><a href="man_configuration.jsp#logfiles">JABAWS internal logging </a></li>
                            <li><a href="man_configuration.jsp#warfile">JABAWS War File Content</a></li>
                            <li><a href="man_configuration.jsp#ga">JABAWS and Google Analytics</a></li>
                        </ul>
                    </li>
                    <br/>
                    <li>
                        <a href="man_dev.jsp">Accessing JABAWS</a>
                        <ul>
                            <li><a href="man_dev.jsp#wsfunctions">Web services functions overview </a></li>
                            <li><a href="man_dev.jsp#templatestr">The template client structure</a></li>
                            <li><a href="man_dev.jsp#connectto">Connecting to JABAWS</a></li>
                            <li><a href="man_dev.jsp#validnames">Valid JABAWS service names and WSDL files</a></li>
                            <li><a href="man_dev.jsp#defalign">Aligning sequences</a></li>
                            <li><a href="man_dev.jsp#checkresults">Checking the status of the calculation </a></li>
                            <li><a href="man_dev.jsp#presetalign">Aligning with presets</a></li>
                            <li><a href="man_dev.jsp#customalign">Aligning with custom parameters</a></li>
                            <li><a href="man_dev.jsp#writingaltofile">Writing alignments to a file</a></li>
                            <li><a href="man_dev.jsp#compex">A complete client example </a></li>
                            <li><a href="man_dev.jsp#buildart">Building web services artifacts</a></li>
                        </ul>
                    </li>
                    <br/>
                    <li>
                        <a href="man_server_dev.jsp">Develop JABAWS</a>
                        <ul>
                            <li><a href="man_server_dev.jsp#api">The API</a></li>
                            <li><a href="man_server_dev.jsp#thesrc">The source code</a></li>
                            <li><a href="man_server_dev.jsp#projstruct">Structure of the project</a></li>
                            <li><a href="man_server_dev.jsp#thecode">The code structure</a></li>
                            <li><a href="man_server_dev.jsp#runtests">Running tests</a></li>
                            <li><a href="man_server_dev.jsp#prepexec">Preparing distributive's</a></li>
                            <li><a href="man_server_dev.jsp#buildstubs">Building web services artifacts</a></li>
                            <li><a href="man_server_dev.jsp#addnewws">Adding a new web service (rough guide)</a></li>
                        </ul>
                    </li>
                    <br/>
                    <li>
                        <a href="man_stats.jsp">Usage Statistics</a>
                        <ul>
                            <li><a href="man_stats.jsp#usage_sum">Summary of Usage</a></li>
                            <li><a href="man_stats.jsp#helpUsageStats">Authentication</a></li>
                            <li><a href="man_stats.jsp#detailed_usage">Detailed Usage Statistic </a></li>
                            <li><a href="man_stats.jsp#job_list">Job List</a></li>
                            <li><a href="man_stats.jsp#job_dir">Single Job Directory Content </a></li>
                            <li><a href="man_stats.jsp#conf_tomcat_user">Configuring a privileged   access for Tomcat web application server</a></li>
                            <li><a href="man_stats.jsp#exec_stat_conf">Configuring JABAWS execution statistics</a></li>
                        </ul>
                    </li>
                    <br/>
                </ul>
                <!--<p class="justify">-->
                <!--</p>-->
            </div>
        </div>
    </div>
</div>

<jsp:include page="template_footer.jsp" />