<%--<?xml version="1.0" encoding="ISO-8859-1" ?>--%>
<%--<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>--%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://displaytag.sf.net" prefix="dt" %>


<c:import url="template_header.jsp" >
	<c:param name="title">Documentation</c:param>
</c:import>

<ol class="breadcrumb">
	<li><a href="${pageContext.request.contextPath}/index.jsp">Home</a></li>
	<li><a href="man_docs.jsp">Documentation</a></li>
	<li class="active"><a href="man_server_dev.jsp">Develop JABAWS</a></li>
</ol>
<div class="row">
	<div class="col-md-12">
		<div class="panel panel-default">
			<div class="panel panel-heading">
				<h1 class="panel-title">For JABAWS Developers</h1>
			</div>
			<div class="panel-body">
				<!--<h4>JABAWS Server Virtual Appliance</h4>-->
				<ul>
					<li><a href="#api">The API</a></li>
					<li><a href="#thesrc">The source code</a></li>
					<li><a href="#projstruct">Structure of the project</a></li>
					<li><a href="#thecode">The code structure</a></li>
					<li><a href="#runtests">Running tests</a></li>
					<li><a href="#prepexec">Preparing distributive's</a></li>
					<li><a href="#buildstubs">Building web services artifacts</a></li>
					<li><a href="#addnewws">Adding a new web service (rough guide)</a></li>
				</ul>
				<!--<p class="justify">-->
				<!--</p>-->
			</div>
		</div>
	</div>
</div>
<div class="row" id="api">
	<div class="col-md-12">
		<div class="panel panel-default">
			<div class="panel panel-heading">
				<h1 class="panel-title">The API</h1>
			</div>
			<div class="panel-body">
				<p>This page is for anyone who wants to add a new webservice into the JABAWS framework.</p>
				<p><a href="dm_javadoc/index.html">Data model</a> javadoc- read this if your are coding
					against JABA Web Services
				</p>
				<p><a href="full_javadoc/index.html">Complete</a> javadoc - for developers who want to
					use JABAWS framework and use Engines and Executables directly
				</p>
				<p class="text-right">
					<a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
				</p>
			</div>
		</div>
	</div>
</div>
<div class="row" id="thesrc">
	<div class="col-md-12">
		<div class="panel panel-default">
			<div class="panel panel-heading">
				<h1 class="panel-title">The source code</h1>
			</div>
			<div class="panel-body">
				<p><a name="svn">Publicly available Git repository:</a>
					<a href="http://source.jalview.org/gitweb/?p=jabaws.git;a=summary">
						http://source.jalview.org/gitweb/?p=jabaws.git;a=summary</a></p>
				<p>Another publicly available JABAWS repository, containing the code for each
					JABAWS public release, is located at
					<a href="https://jabaws.googlecode.com">jabaws.googlecode.com</a></p>
				<p>The repositories contain a complete JABAWS
					<a href="http://www.eclipse.org">Eclipse</a> project. </p>
				<p>Of course if you want to make a modification to the source code you would need to
					generate distributives yourself. To do that, first generate JAX-WS artifacts using
					<em2>build-server</em2> task from <em2>wsbuild.xml</em2>
					ant script, then you could use build.xml tasks to generate any of the distributives you need.
				</p>
				<p class="text-right">
					<a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
				</p>
			</div>
		</div>
	</div>
</div>
<div class="row" id="projstruct">
	<div class="col-md-12">
		<div class="panel panel-default">
			<div class="panel panel-heading">
				<h1 class="panel-title">Structure of the project</h1>
			</div>
			<div class="panel-body">
				<ul>
					<li><i class="fa fa-folder-o" aria-hidden="true"></i> <span class="directory">binaries</span>	contains native executables e.g. clustalw</li>
					<li style="list-style-position:inside"><i class="fa fa-folder-o" aria-hidden="true"></i> <span class="directory">src</span>	contains sources of native executables</li>
					<li style="list-style-position:inside"><i class="fa fa-folder-o" aria-hidden="true"></i> <span class="directory">windows</span>	contains pre-compiled Windows binaries</li>
					<li style="list-style-position:inside"><i class="fa fa-folder-o" aria-hidden="true"></i> compilebin.sh - the script to complile binaries</li>
					<li style="list-style-position:inside"><i class="fa fa-folder-o" aria-hidden="true"></i> setexecflag.sh - the script to set executable flag for the binaries</li>
					<li><span class="directory"><i class="fa fa-folder-o" aria-hidden="true"></i> conf</span>	contains JABAWS configuration files	</li>
					<li><span class="directory"><i class="fa fa-folder-o" aria-hidden="true"></i> ExecutionStatistics</span>	the database for storing collected execution statistics </li>
					<li><span class="directory"><i class="fa fa-folder-o" aria-hidden="true"></i> jobsout</span> a default folder for temporary job directories </li>
					<li><span class="directory"><i class="fa fa-folder-o" aria-hidden="true"></i> statpages</span> the web pages for execution statistics display</li>
					<li><span class="directory"><i class="fa fa-folder-o" aria-hidden="true"></i> WEB-INF</span> default </li>
					<li><span class="directory"><i class="fa fa-folder-o" aria-hidden="true"></i> website</span> contains the JABAWS web pages </li>
					<li style="list-style-position:inside"><i class="fa fa-folder-o" aria-hidden="true"></i> <span class="directory">archive</span> contains JABAWS packages, the WAR and JAR files</li>
				</ul>
				<p class="text-right">
					<a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
				</p>
			</div>
		</div>
	</div>
</div>
<div class="row" id="thecode">
	<div class="col-md-12">
		<div class="panel panel-default">
			<div class="panel panel-heading">
				<h1 class="panel-title">The code structure</h1>
			</div>
			<div class="panel-body">
				<ul>
					<li><span class="directory"><i class="fa fa-folder-o" aria-hidden="true"></i> datamodel</span> contains the JABAWS datamodel </li>
					<li><span class="directory"><i class="fa fa-folder-o" aria-hidden="true"></i> engine</span> contains the JABAWS engine - the code that abstract the execution environment and executes native binaries</li>
					<li><span class="directory"><i class="fa fa-folder-o" aria-hidden="true"></i> runner</span> contains the JABAWS runners - thin wrappers for native binaries </li>
					<li><span class="directory"><i class="fa fa-folder-o" aria-hidden="true"></i> webservices</span> contains the JABAWS SOAP web services </li>
					<li><span class="directory"><i class="fa fa-folder-o" aria-hidden="true"></i> testsrc</span> contains the JABAWS unit tests</li>
				</ul>
				<p class="justify">
					Each source folder depends on the upper folders for compilation. For example, the datamodel
					is the top level folder so it has no other dependencies on other JABAWS code.
					The Engine level depends on the datamodel to compile etc. The web services folder is the
					bottom layer and depends on all the other source code.
				</p>
				<p class="justify">
					So the JABAWS project is split into 4 layers. From bottom-up the first layer
					consists from the value classes used by all other layers of the hierarchy, in
					particular web services. So, to be able to use JABAWS one needs to have these
					classes. At the same time classes on this layer does not have any dependencies
					on the layers above.
				</p>
				<p class="justify">
					The second layer contains code for execution of the wrappers, which are the
					abstraction describing native executables. JABAWS can execute tasks locally
					that is on the same machine as JVM and on the cluster. Thus currently code on
					this layer contain two engines. This layer depends on the layer underneath, the
					data model layer, but is completely independent from the code above.
				</p>
				<p class="justify">
					The third layer consists of the wrappers for the native executables and classes to
					handle their configuration. It depends on the engines and the data model, but know
					nothing about the web services.
				</p>
				<p class="justify">
					Finally, the upper layer contains the web services, that depend on all the layers below.
				</p>
				<p class="justify">
					The layer isolation is archived though specially designed compilation task which is
					executed sequentially in several stages so that the first layer compiles before
					any other layers, second layer compiles after that and process continies before
					all the code is compiled.  Any violation of the layer boundaries results in the
					compilation failure. Use Ant &quot;Compile&quot; or &quot;Complile_with_debug&quot;
					tasks to perform the staged compilation.
				</p>
				<p class="justify">
					A client package contains only classes from data model layer and a simple web
					services client. Framework package is for anyone who want to use JABAWS framework
					for controlling native executables in local or cluster environments. Framework exclude
					the web services layer. Server package contains all the code.
				</p>
				<p class="text-right">
					<a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
				</p>
			</div>
		</div>
	</div>
</div>
<div class="row" id="runtests">
	<div class="col-md-12">
		<div class="panel panel-default">
			<div class="panel panel-heading">
				<h1 class="panel-title">Running tests</h1>
			</div>
			<div class="panel-body">
				<p class="justify">
					JABAWS uses TestNG framework for testing. The test results for the JABAWS
					package offered for download can be found at:
					<a href="http://www.compbio.dundee.ac.uk/user/www-jws2/tests/index.html">
						Test Results</a><br/>
					JABAWS uses <a href="http://testng.org/doc/index.html">TestNG</a>
					for testing. There is a TestNG plugin available for Eclipse
					which has functionality similar to JUnit. However, no plugins are
					necessary to run the test cases, as testng jar is supplied
					with JABAWS together with an ant tasks to run the test cases.
				</p>
				<p class="justify">
					The best way to ensure that JABAWS framework is completely functional on your
					system is to run all test cases.
					Test cases tests all aspects of JABAWS functionality. Consequently, one need
					to have non windows operation system and support
					of the cluster to be able to run all tests. If your system does not support
					cluster, then you could run all test excluding those that depends on the cluster.
				</p>

				<p>Several testing groups are supported:</p>
				<ul>
					<li>All tests (Test)</li>
					<li>Cluster tests (Run_cluster_dependent_test)</li>
					<li>Cluster independent tests () </li>
					<li>Windows only tests (All_cluster_independent_windows_only_tests) </li>
					<li>Performance and stability tests (Long_tests) </li>
					<li>Re-run failed tests (Rerun_failed_tests) </li>
					<li>Run custom test (CustomTest) </li>
				</ul>

				<p class="justify">
					To run the tests you need to download all sources from <a href="#svn">repository</a>.
					Once you have done that, enter into the command line mode, change directory to the
					project directory and type:
				</p>
				<pre><code class="bash">ant -f build.xml &lt;test group name&gt;</code></pre>
				<p class="justify">
					Make sure you have <a href="http://ant.apache.org/">Apache Ant</a>
					installed and path to ant executable is defined in your path environmental variable.
					Replace test group name with the one of the names given in the list above to run required group of tests e.g for running cluster only tests
					use the following
					command:</p>
				<pre><code class="bash">ant -f build.xml Run_cluster_dependent_test</code></pre>
				<p class="justify">
					If you work under Linux you could use a simple script from the root folder of repository called <em2>runtests.sh</em2>
					This script simply contains a collection of the test commands described above and paths to java home directory and an ant executable,
					which you can define once for your system and then reuse.
				</p>
				<p class="justify">
					A handy feature of TestNG is its ability to re-run failed tests. Failed test
					ant file is stored in
					<em2>test-output/testng-failed.xml</em2>. and is used in the ant task called
					<em2>Rerun_failed_tests</em2>. So re-running failed tests requires no more
					work than running any other test group and could be accomplished with the command:
				</p>
				<pre><code class="bash">ant -f build.xml Rerun_failed_tests</code></pre>
				<p class="justify">
					CustomTest runs the test defined in the project root directory file called
					<em2>temp-testng-customsuite.xml</em2>. This
					file is generated by TestNG plugin every time you run the test from Eclipse.
					Thus an easy way to run a test in a different environment is to run it from
					Eclipse first and then from ant using a custom test procedure.
				</p>
				<p class="justify">
					For cluster execution make sure that the property
					LD_LIBRARY_PATH defined in build.xml points to cluster engine LD
					libraries directory in your local system.
				</p>
				<p class="text-right">
					<a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
				</p>
			</div>
		</div>
	</div>
</div>
<div class="row" id="prepexec">
	<div class="col-md-12">
		<div class="panel panel-default">
			<div class="panel panel-heading">
				<h1 class="panel-title">Preparing distributive's</h1>
			</div>
			<div class="panel-body">
				<p class="justify">
					There are a number of ant tasks aimed for preparing distributives for download.
					Currently a few types of JABAWS packages are offered:
				</p>
				<ol>
					<li>Client only (contains classes required to access JABA Web Services)</li>
					<li>Platform specific JABAWS (windows and other)</li>
					<li>JABAWS without binaries</li>
					<li>JABAWS framework </li>
				</ol>
				<p>Corresponding build task names are:</p>
				<ol>
					<li>min-jaba-client</li>
					<li>jaba-windows, jaba-complete</li>
					<li>jaba-no-binaries</li>
					<li>full-jaba-client</li>
				</ol>
				<p class="justify">
					The easiest way to build all distributives is to call
					<em2>build-all</em2> ant task.
					There are more tasks defined in build.xml than described here.
					They are mostly self explanatory.
				</p>
				<p class="justify">
					If you made any changes to the data model and
					would like to generate a complete JABAWS
					distro make sure you have rebuilt jaxws artifact as described below.
				</p>
				<p class="text-right">
					<a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
				</p>
			</div>
		</div>
	</div>
</div>
<div class="row" id="buildstubs">
	<div class="col-md-12">
		<div class="panel panel-default">
			<div class="panel panel-heading">
				<h1 class="panel-title">Building web services artifacts</h1>
			</div>
			<div class="panel-body">
				<p class="justify">
					Server side artifacts should be rebuild whenever the data model, meta model or MSA
					interface were changed.
					To do that run build-server task from wsbuild.xml ant build file. WSDL files will
					be generated in
					<em2>webservices/compbio/ws/server/resource</em2> directory. It is not necessary to
					edit them if any of the JABAWS clients are used. JABAWS are the standard JAX-WS web
					services, which are WS-I basic profile compatible.
				</p>
				<p class="text-right">
					<a href="#">Back to top <i class="fa fa-arrow-up" aria-hidden="true"></i></a>
				</p>
			</div>
		</div>
	</div>
</div>
<div class="row" id="addnewws">
	<div class="col-md-12">
		<div class="panel panel-default">
			<div class="panel panel-heading">
				<h1 class="panel-title">Adding a new web service (rough guide)</h1>
			</div>
			<div class="panel-body">
				<ol>
					<li>
						<p>Add a new executable which you'd like to wrap as a JABAWS web service to the binaries folder.
							If it has the source code and can be recompiled for different platforms include it under
							<em2>binaries/src</em2>. Edit <em2>setexecutableflag.sh</em2>
							and <em2>compilebin.sh</em2> scripts in <em2>binaries/src</em2>
							accordingly.</p>
					</li><li>
					<p>Make sure that all the dependencies of the software being installed are satisfied.
						If there are other binaries they should be included as well. Keep the dependent
						binaries in a subfolder for the main executable. Update
						<em2>compilebin.sh</em2> and <em2>setexecflag.sh</em2> scripts accordingly.</p>
				</li><li>
					<p>Make sure that the new executable does not have any hard links to its dependencies, e.g. is able to run from
						any installation folder and does not contain any hard coded paths.</p>
				</li><li>
					<p>Describe executable in <em2>conf/Exectuable.properties</em2> file. The lowercase name of
						the wrapper should be included
						in the name of the property for example Clustal properties all include clustal as a
						part of the name e.g. local.clustalw.bin.
						The same property for MAFFT will be called local.mafft.bin. For more help please refer
						to the Executable.properties file.
					</p>
				</li><li>
					<p>Describe the executable supported parameters in the
						<em2>&lt;ExecutableName&gt;Parameters.xml</em2>, presets in the
						<em2>&lt;ExecutableName&gt;Presets.xml</em2> and the execution limits in the
						<em2>&lt;ExecutableName&gt;Limit.xml</em2>. By convention these files are stored
						in <em2>conf/settings</em2>. All of these are optional. If the executable
						does not support parameters you do not have to mention the <em2>XXXParameter.xml</em2> file
						in the <em2>Executable.properties</em2> file at all. The same is true for
						Presets and Limits.</p>
				</li><li>
					<p>Create a Java wrapper class for your executable. Create it within <em2>runner</em2> source directory.
						Examples of other wrappers can be found in <em2>compbio.runner.msa</em2> or
						in other <em2>compbio.runner.*</em2> packages. Wrapper should extend
						<em2>SkeletalExecutable&lt;T&gt;</em2> and implement
						<em2>PipedExecutable&lt;T&gt;</em2>
						if you need to pass the input or collect the results from the standard in/out. Please see Mafft
						code as example. Wrapper should expend <em2>SkeletalExecutable&lt;T&gt;</em2>
						if input/output can be set as a parameter for an executable. Please see the ClustalW code as example.</p>
				</li><li>
					<p>Create a testcase suit for your wrapper in <em2>testsrc</em2> and run the test cases.</p>
				</li><li>
					<p>Create parser for the output files of your executable. Suggested location
						compbio.data.sequence.SequenceUtil . </p>
				</li><li>
					<p>Test the parser.</p>
				</li><li>
					<p>Decide which web services interfaces your executable is going to match. For example
						if the executable output can be represented as SequenceAnnotation then SequenceAnnotation
						interface might be appropriate. For multiple sequence alignment an Msa interface should be used.</p>
				</li><li>
					<p>If you find a web interface that matches your returning data type, then
						implement a web service which confirms to it within a webservices source folder. </p>
				</li><li>
					<p>Register web service in <em2>WEB-INF/web.xml</em2>
						and <em2>WEB-INF/sun-jaxws.xml</em2>.</p>
				</li><li>
					<p>Add generated wsdl to wsbuild.xml ant script to generate the stubs.</p>
				</li><li>
					<p>Run build-server task in wsbuild file. Watch for errors. If the task fails that means
						that JAXB cannot serialize some of your new data structures. Add appropriate annotations to your data types.
						Also check that: </p>
					<ul>
						<li>you do not have interfaces to serialize, since JAXB cannot serialize them</li>
						<li>you have a default no args constructor (can be private if you do not need it)</li>
						<li>JAXB cannot serialize Java Map class, use a custom data structure instead</li>
						<li>Enum cannot be serialized as its abstract class (do not confuse with enum which is fine)</li>
						<li> Fields serialization leaves a little more space for manoeuvre.
							If you do this then you may accept<br/> and return interfaces, e.g. List, Map; abstract classes etc, from your methods
						</li>
					</ul>
					<p>If you have the data on the server side, but nothing is coming through to the
						client, this is a JAXB serialization problem. They tend to be very silent and
						thus hard to debug. Check your data structure can be serialized!</p>
				</li><li>
					<p>Modify the client to work with your new web service. Update Services
						enumeration to include new service and ensure that all the methods of this
						enumeration take into account the new service. Update the client help text
						(client_help.txt) and insert it into the Constraints class.</p>
				</li><li>
					<p>Test the web service with the client.</p>
				</li><li>
					<p>Test on the cluster.</p>
				</li>
				</ol>
			</div>
		</div>
	</div>
</div>

<jsp:include page="template_footer.jsp" />